Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iface.util
Class IXMetalTheme

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              ix.iface.util.IXMetalTheme

    public class IXMetalTheme

extends javax.swing.plaf.metal.DefaultMetalTheme

A Metal theme for I-X applications.

Use like this:

       MetalLookAndFeel.setCurrentTheme(new IXMetalTheme());

Constructor Summary
`IXMetalTheme()`

Method Summary
`protected javax.swing.plaf.FontUIResource` | `adjustFont(javax.swing.plaf.FontUIResource font)`
`javax.swing.plaf.FontUIResource` | `getControlTextFont()`
`javax.swing.plaf.FontUIResource` | `getMenuTextFont()`
`java.lang.String` | `getName()`
`protected javax.swing.plaf.ColorUIResource` | `getPrimary1()` Colours
`protected javax.swing.plaf.ColorUIResource` | `getPrimary2()`
`protected javax.swing.plaf.ColorUIResource` | `getPrimary3()`
`protected javax.swing.plaf.ColorUIResource` | `getSecondary3()`
`javax.swing.plaf.FontUIResource` | `getSubTextFont()`
`javax.swing.plaf.ColorUIResource` | `getSystemTextColor()`
`javax.swing.plaf.FontUIResource` | `getSystemTextFont()`
`javax.swing.plaf.FontUIResource` | `getUserTextFont()`
`javax.swing.plaf.FontUIResource` | `getWindowTitleFont()`

Methods inherited from class javax.swing.plaf.metal.DefaultMetalTheme
`getSecondary1, getSecondary2`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`addCustomEntriesToTable, getAcceleratorForeground, getAcceleratorSelectedForeground, getBlack, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getFocusColor, getHighlightedTextColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuForeground, getMenuSelectedBackground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorBackground, getSeparatorForeground, getTextHighlightColor, getUserTextColor, getWhite, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IXMetalTheme

    public IXMetalTheme()

Method Detail

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getPrimary1

    protected javax.swing.plaf.ColorUIResource getPrimary1()

  Colours

  Overrides:
    `getPrimary1` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getPrimary2

    protected javax.swing.plaf.ColorUIResource getPrimary2()

  Overrides:
    `getPrimary2` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getPrimary3

    protected javax.swing.plaf.ColorUIResource getPrimary3()

  Overrides:
    `getPrimary3` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getSystemTextColor

    public javax.swing.plaf.ColorUIResource getSystemTextColor()

  Overrides:
    `getSystemTextColor` in class `javax.swing.plaf.metal.MetalTheme`

### getSecondary3

    protected javax.swing.plaf.ColorUIResource getSecondary3()

  Overrides:
    `getSecondary3` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getControlTextFont

    public javax.swing.plaf.FontUIResource getControlTextFont()

  Overrides:
    `getControlTextFont` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getSystemTextFont

    public javax.swing.plaf.FontUIResource getSystemTextFont()

  Overrides:
    `getSystemTextFont` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getUserTextFont

    public javax.swing.plaf.FontUIResource getUserTextFont()

  Overrides:
    `getUserTextFont` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getMenuTextFont

    public javax.swing.plaf.FontUIResource getMenuTextFont()

  Overrides:
    `getMenuTextFont` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getWindowTitleFont

    public javax.swing.plaf.FontUIResource getWindowTitleFont()

  Overrides:
    `getWindowTitleFont` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### getSubTextFont

    public javax.swing.plaf.FontUIResource getSubTextFont()

  Overrides:
    `getSubTextFont` in class `javax.swing.plaf.metal.DefaultMetalTheme`

### adjustFont

    protected javax.swing.plaf.FontUIResource adjustFont(javax.swing.plaf.FontUIResource font)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD